
package com.tmerclub.cloud.common.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 自提订单自提点信息VO
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
public class OrderSelfStationVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long orderSelfStationId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "订单编号")
    private Long orderId;

    @Schema(description = "自提点id")
    private Long stationId;

    @Schema(description = "自提人的手机")
    private String stationUserMobile;

    @Schema(description = "自提人的名字")
    private String stationUserName;

    @Schema(description = "自提时间(用户下单时选择)")
    private String stationTime;

    @Schema(description = "自提提货码")
    private String stationCode;

    @Schema(description = "上门自提点的地址")
    private String stationAddress;

    @Schema(description = "上门自提点的联系电话")
    private String stationPhone;

    @Schema(description = "自提点时间日期数据")
    private String timeInfo;

    @Schema(description = "自提点名称")
    private String stationName;

    @Schema(description = "经度")
    private Double lng;

    @Schema(description = "纬度")
    private Double lat;

    @Schema(description = "店铺状态")
    private Integer stationStatus;

    @Schema(description = "自提点距离(实时)")
    private Double distance;

    @Schema(description = "自提点logo)")
    private String stationImgUrl;

    @Schema(description = "订单项列表")
    private List<OrderItemVO> orderItems;

    @Schema(description = "订单状态")
    private Integer orderStatus;

    @Schema(description = "自提门店状态 0：没有门店 1:门店没有库存 2:库存充足 ")
    private Integer stationStockStatus;


    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getStationImgUrl() {
        return stationImgUrl;
    }

    public void setStationImgUrl(String stationImgUrl) {
        this.stationImgUrl = stationImgUrl;
    }

    public Double getDistance() {
        return distance;
    }

    public void setDistance(Double distance) {
        this.distance = distance;
    }

    public List<OrderItemVO> getOrderItems() {
        return orderItems;
    }

    public void setOrderItems(List<OrderItemVO> orderItems) {
        this.orderItems = orderItems;
    }

    public Integer getStationStatus() {
        return stationStatus;
    }

    public void setStationStatus(Integer stationStatus) {
        this.stationStatus = stationStatus;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public String getTimeInfo() {
        return timeInfo;
    }

    public void setTimeInfo(String timeInfo) {
        this.timeInfo = timeInfo;
    }

    public Long getOrderSelfStationId() {
        return orderSelfStationId;
    }

    public void setOrderSelfStationId(Long orderSelfStationId) {
        this.orderSelfStationId = orderSelfStationId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public String getStationUserMobile() {
        return stationUserMobile;
    }

    public void setStationUserMobile(String stationUserMobile) {
        this.stationUserMobile = stationUserMobile;
    }

    public String getStationUserName() {
        return stationUserName;
    }

    public void setStationUserName(String stationUserName) {
        this.stationUserName = stationUserName;
    }

    public String getStationTime() {
        return stationTime;
    }

    public void setStationTime(String stationTime) {
        this.stationTime = stationTime;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationAddress() {
        return stationAddress;
    }

    public void setStationAddress(String stationAddress) {
        this.stationAddress = stationAddress;
    }

    public String getStationPhone() {
        return stationPhone;
    }

    public void setStationPhone(String stationPhone) {
        this.stationPhone = stationPhone;
    }

    public Integer getStationStockStatus() {
        return stationStockStatus;
    }

    public void setStationStockStatus(Integer stationStockStatus) {
        this.stationStockStatus = stationStockStatus;
    }

    @Override
    public String toString() {
        return "OrderSelfStationVO{" +
                "orderSelfStationId=" + orderSelfStationId +
                ", shopId=" + shopId +
                ", orderId=" + orderId +
                ", stationId=" + stationId +
                ", stationUserMobile='" + stationUserMobile + '\'' +
                ", stationUserName='" + stationUserName + '\'' +
                ", stationTime='" + stationTime + '\'' +
                ", stationCode='" + stationCode + '\'' +
                ", stationAddress='" + stationAddress + '\'' +
                ", stationPhone='" + stationPhone + '\'' +
                ", timeInfo='" + timeInfo + '\'' +
                ", stationName='" + stationName + '\'' +
                ", lng=" + lng +
                ", lat=" + lat +
                ", stationStatus=" + stationStatus +
                ", distance=" + distance +
                ", stationImgUrl='" + stationImgUrl + '\'' +
                ", orderItems=" + orderItems +
                ", orderStatus=" + orderStatus +
                ", stationStockStatus=" + stationStockStatus +
                '}';
    }
}
